About data access pages

A data access page is a special type of Web page that enables you to view and work with data from a database. It might also include data from other sources, such as Microsoft Excel. How you interact with the page depends on what it's used for.

Show Interactive reporting

This type of data access page is often used to consolidate and group information that is stored in the database, and to publish summaries of the data. For example, a page might publish the sales performance for each region in which you do business. Using expand indicators, you can go from a general summary of the information, such as a list of all the regions and their combined sales total, to specific details on individual sales within each region. The data access page might provide toolbar buttons for sorting and filtering the data, as well as for adding, editing, and deleting the data in some or all group levels.

Show Data analysis

This type of data access page may include a PivotTable list, similar to a Microsoft Access PivotTable form or Microsoft Excel PivotTable report, that lets you reorganize the data to analyze it in different ways. The page may contain a chart that you can use to analyze trends, detect patterns, and compare data in your database. Or it might contain a spreadsheet, in which you can enter and edit data and use formulas to calculate as you do in Excel.

A data access page is connected directly to a database. When you display the page in Microsoft Internet Explorer, you're viewing your own copy of the page. That means any filtering, sorting, and other changes you make to how the data is displayed— including changes you make within a PivotTable list or spreadsheet— affect only your copy of the data access page. However, changes that you make to the data itself— such as modifying values, and adding or deleting data— are stored in the underlying database, and therefore are available to everyone viewing the page.

Data access pages are supported in Microsoft Internet Explorer 5.01 with Service Pack 2 (SP2) or later.

Parts of a data access page

A data access page can have many features; however, these features vary depending on the purpose of the page. Some of the most common features are listed below. (Fields and records are always part of a data access page; however, how they are presented varies.)

Parts of a data access page

Callout 1 Expand indicator

Callout 2 Group header

Callout 3 A record is a collection of related facts about one entity, such as a customer, a customer order, or an employee, stored in a database.

Callout 4 A text box displays existing data from the underlying database, or, if allowed, accepts new data that you enter to be stored in the database.

Callout 5 Group records for 04-Mar.

Callout 6 The record navigation toolbar lets you quickly move between records or add, delete, save, undo changes to, sort, or filter records.

Groups organize data into sets. For example, the above page groups records of customers' orders by date. The name of each date is the group header. Depending on how the page was designed, either all the groups are displayed on the page (usually with their records hidden), or no specific group is displayed until you choose one from a list of available groups. If the page shows all groups, you can display the records for a specific group by clicking its expand indicator. Some or all groups in the page may support data entry.

In a grouped data access page, each group might have its own record navigation toolbar located at the bottom of the expanded group.

In addition to the above, a page might contain one or more of the following:

Show PivotTable lists

PivotTable lists are similar to Microsoft Excel PivotTable reports. They display data in a row and column format that you can reorganize to analyze data in different ways. You do this by moving rows to columns and columns to rows, displaying totals at the intersection of rows and columns, and otherwise rearranging and summarizing the data. A PivotTable list includes its own toolbar and built-in Help.

PivotTable list on data access page

Show Spreadsheets

Spreadsheets are similar to Microsoft Excel worksheets. They allow you to enter and edit data or to calculate data. A spreadsheet includes its own toolbar and built-in Help.

Spreadsheet on data access page

Show Charts

Charts use database data to visually display trends, patterns, and comparisons. When data in the database changes, the chart updates accordingly. If the chart is linked to a PivotTable list or spreadsheet on the data access page, the chart changes when you change the PivotTable list or spreadsheet.

Chart on data access page


Work with data on a data access page

Show Add, edit, and delete data

Show Add a record

  1. On the record navigation toolbar, click New Button image.

    Note If you don't see the New button, it means one of the following:

    • The page does not support data entry.

    • The designer of the page has customized the button. Look for custom instructions on how to use the page, or contact the designer.

  2. Type the data you want in the first field, and then press TAB to go to the next field.

  3. When you are finished adding data to each field, save the record.

Note If you make a typing mistake, press BACKSPACE. To cancel your changes in the current field, press ESC. To cancel your changes to the entire record, click Undo Button image on the record navigation toolbar.

Show Edit data in a record

  1. Click in the field you want to edit.

    Note You cannot edit calculated fields and fields that are being used to group data. If you can't insert the input cursor inside any of the fields in the page, the page does not support edits.

  2. Type the text you want to insert.

  3. Save the record.

Note If you make a typing mistake, press BACKSPACE. To cancel your changes in the current field, press ESC. To cancel your changes to the entire record, click Undo Button image on the record navigation toolbar.

Show Delete a record

Important Once you delete a record, you cannot undo the deletion from the database.

  • On the record navigation toolbar, click Delete Button image.

Note If you don't see the Delete button, it means one of the following:

  • The page does not support deletions.

  • The designer of the page has customized the button. Look for custom instructions on how to use the page, or contact the designer.

Show Enter a hyperlink address

Show Paste a hyperlink or hyperlink address

  1. Navigate to a hyperlink or hyperlink address in one of the following ways:

    • Open a document that contains the hyperlink or the hyperlink address.

    • In a Web browser such as Microsoft Internet Explorer, go to the page that contains the hyperlink or hyperlink address.

  2. Do one of the following:

    • In the document, select the hyperlink or the hyperlink address, and then click Copy on the Edit menu.

    • In the Web browser, select the address in the Address box or select a hyperlink address anywhere on a page, right-click the selection, and then click Copy Shortcut on the shortcut menu.

  3. Open a data access page in your Web browser.

  4. Place the insertion point in a text box that accepts hyperlinks on the page.

  5. On the Edit menu, click Paste.

Show Drag an Internet shortcut

  1. Navigate to an Internet shortcut (such as an icon on your desktop).

  2. Right-click the Internet shortcut, and then use the right mouse button to drag the shortcut to a text box that accepts hyperlinks on the data access page.

Show Type a hyperlink address

  1. Place the insertion point in a text box that accepts hyperlink addresses.

  2. Type a valid hyperlink address. A hyperlink address can have up to four parts that are separated by the number sign (#):

    displaytext#address#subaddress#screentip

    The following example includes displaytext, address, and screentip. Note that it also includes the # for subaddress, which has been omitted:

    Microsoft Corporation#http://example.microsoft.com/##Example page for Microsoft Corporation

    Show Tip

    Click Refresh Button image on the Microsoft Internet Explorer toolbar to see the hyperlink address displayed as a formatted hyperlink.

Show Add, change, or delete the path to a picture

Note The picture is not stored in the database. Rather, the path to the picture's location is stored in the database, and the picture is stored in a computer's file system.

  1. Click inside the path field.

  2. Do one of the following:

    • To add the path to the picture, type the path of the picture's location.

    • To change the path to the picture, edit the path.

    • To delete the path to the picture, select the contents of the field and press DELETE.

Notes

  • You cannot edit a field on a page unless the page supports edits.

  • The path can be a relative path, a path on your computer, a universal naming convention (UNC) path, or a uniform resource locator (URL). The type of path you should use depends on the requirements of the database.

  • If you want to delete the picture file, you must do so from its location in your computer's file system. See Microsoft Windows Help for more information about deleting files.

Show Save or undo changes

Show Save a record

  • On the record navigation toolbar, click Save Button image.

Note If you don't see the Save button, it means one of the following:

  • The designer of the page has customized the button. Look for custom instructions on the page on how to save your changes.

  • The page is read-only and does not support additions or edits.

Show Undo changes when adding or editing records

  • To undo changes to the current record, click Undo Button image on the record navigation toolbar.

Note If you don't see the Undo button, it means one of the following:

  • The designer of the page has customized the button. Look for custom instructions on the page on how to undo your changes.

  • The page is read-only and does not support additions or edits.

Show Navigate between fields and records

Show Select fields and records

Show Using the mouse

The following table lists mouse techniques for selecting data or records.

To select | Click
Data in a field | Where you want to start selecting and drag across the data
An entire field | Three times within the field
A record | A field that belongs to the record

Show Using the keyboard

The following table lists keyboard techniques for selecting data or records.

To select | Do this
Data in a field | Move the insertion point to the start of the text you want to select, and then hold down SHIFT and press the arrow keys to move to the end of the selection.
An entire field | Move the insertion point to anywhere in the field, press HOME, and then press SHIFT+END.
A record | Press TAB until a field that belongs to the record gets focus.

Note Your data access page might have a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component, which have their own methods of selection. To display Help for one of these components, click Help Button image on its toolbar.

Show Move between records

  • Use the navigation buttons located on the record navigation toolbar to quickly move between records or a group of records on a grouped data access page.

Record navigation buttons

Callout 1 First record

Callout 2 Previous record

Callout 3 Record source and number

Callout 4 Next record

Callout 5 Last record

Note If you don't see the record navigation toolbar on your page, it means one of the following:

  • All the records are displayed on the page, so the navigation buttons are not necessary.

  • The designer of the page has customized the toolbar. Look for custom instructions on how to use the page, or contact the designer.

Show Sort, find, filter, or refresh data

Show Sort data

You can sort data on a data access page, including data that's grouped. For grouped data access pages, you can sort the list of groups or the records within a group.

  1. Do one of the following:

    • In an ungrouped page, click the field you want to use for sorting records.

    • In a grouped page, expand the group that you want to sort, and then click the field you want to sort records on.

      Note When you sort records within a group, the sort order only applies to that group. It does not affect the order of records in other groups. For example, say a data access page is grouped by region, the region names are listed in ascending order, and under each region employees are listed in ascending order by their last name. If you display employee records for Mexico and then sort employees in descending order by last name, then the employee records for other regions will still be sorted in ascending order, as will the list of regions themselves.

  2. Do one of the following:

    • To sort in ascending order, click Sort Ascending Button image.

    • To sort in descending order, click Sort Descending Button image.

Notes

  • If the records are displayed in tabular format, simply click the label of the field you want to sort records on. The records will display in ascending order. To sort records in descending order, click the label again.

  • If you browse to another data access page and come back to this page, you'll lose the sort order.

  • The order in which numbers, text, and special characters are sorted depends on the database and your regional settings in Microsoft Windows Control Panel.

  • This procedure doesn't apply to a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component. These features can be sorted independently from the rest of the data on the data access page, and may also support additional sorting capabilities. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.

Show Find specific data by using a filter

By using a filter, you can find records based on whether they contain a specific value in a particular field. For example, you can find all records that have "Germany" in the Country field. When you apply the filter, only the records that contain the value you selected will appear in the data access page. Once you remove the filter, all the records will be displayed again. For grouped data access pages, you can filter the list of groups (the group headings) or the records within groups.

  1. Do one of the following:

    Show In an ungrouped page

    1. Move focus to the field that has the value that you want to use to filter records.

    2. Click Filter By Selection Button image on the record navigation toolbar.

    Show In a grouped page

    1. Expand the group that you want to filter.

    2. Move focus to the field that has the value that you want to use to filter records.

    3. Click Filter By Selection Button image on the record navigation toolbar for that group.

      The filter applies only to the current group. In other words, if a page groups customer orders by country, and you filter the records for Brazil that have a required date of 6/2/98, that filter applies only to the records for Brazil, not to the records for the other countries.

  2. To further narrow the subset of records, continue selecting fields and clicking Filter By Selection Button image until you have just the records you want.

    For example, if you want to see records only for customers in Germany with a required date of 5/12/98, select "Germany" in the Country field, click Filter By Selection, select "5/12/98" in the Required Date field, and then click Filter By Selection again.

Notes

  • If you select only part of the value in a field, the data access page still uses the entire field value for filtering.

  • You can remove the filter and then reapply it during the same working session.

  • If you browse to another data access page, you'll lose the filter.

  • This procedure doesn't apply to a PivotTable list, spreadsheet, or chart. These features can be filtered independently from the rest of the data on the data access page and may also support additional filtering capabilities. For more information, click Help Button image on that component's toolbar.

Show Apply an existing filter

You can reapply filters that you created earlier in the current working session. However, if you browse to another data access page after creating the filters, or if you navigate away from the records that are currently displayed, the filters will be lost.

  • On an ungrouped page, click Filter Toggle Button image on the record navigation toolbar.

  • On a grouped page, expand the group that you want to filter, and then click Filter Toggle Button image on the record navigation toolbar for that group.

Note This procedure doesn't apply to a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component. These features can be filtered independently from the rest of the data on the data access page, and may also support additional filtering capabilities. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.

Show Remove a filter to show all records

  • Click Filter Toggle Button image on the record navigation toolbar.

Notes

  • Removing a filter doesn't delete it. However, if you close or refresh the page, or move away from the current set of records, you will lose the filters on a page.

  • This procedure doesn't apply to a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component. These features can be filtered independently from the rest of the data on the data access page, and may also support additional filtering capabilities. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.

Show Display the most current data on a data access page

If other users are entering data at the same time as you are, your data access page may not be displaying the most recent changes to the database. To see current data, refresh the page periodically.

  • Click Refresh Button image on the Microsoft Internet Explorer toolbar or press F5.

Caution If you click Refresh before you have saved your changes, Internet Explorer warns you that your changes may be discarded. You must click Cancel to prevent losing your changes to the current record.

Notes

  • If reloading the data takes a long time and you want to cancel the operation, click Stop Button image on the Internet Explorer toolbar or press ESC.

  • Your data access page might have a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component, which have their own methods of selection. To display help for the PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.

Show Use shortcut keys on a data access page

To use the following keys, press the TAB key repeatedly until the expand indicator or record navigation toolbar has focus. If a PivotTable list, spreadsheet, or chart currently has focus, press CTRL+TAB.

Press | To
SPACE or ENTER | Expand or collapse a group of records that correspond to the expand indicator in a grouped data access page
LEFT ARROW or RIGHT ARROW | Select a button on the record navigation toolbar
SPACE or ENTER | Activate the selected button on the record navigation toolbar


Glossary

C D E F G H J M P R S U
C
Back to top
calculated field
A field, defined in a query, that displays the result of an expression rather than displaying stored data. The value is recalculated each time a value in the expression changes.
chart
A graphical view of database data that is used to visually display trends, patterns, and comparisons. When the data in the database changes, the chart updates accordingly. If the chart is linked to a PivotTable list or spreadsheet on the data access page, the chart changes when you change the data in the PivotTable list or spreadsheet. A chart includes its own toolbar and built-in Help.
D
Back to top
data access page
A Web page that has a connection to a database. By using a data access page, you can view, add, edit, and manipulate data stored in the database. A data access page can also include data from other sources, such as Microsoft Excel.
database
A collection of data related to a particular subject or purpose. A data access page can connect to a Microsoft Access database or a Microsoft SQL Server database.
E
Back to top
expand indicator
A button that is used to expand or collapse groups of records on a data access page; it displays the plus (+) or minus (-) sign.
F
Back to top
filter
A set of criteria that is applied to data to show a subset of the data. In a data access page, you can filter records by using the Filter By Selection command. Note: A data access page can also have a built-in filter. On this type of page, you don't see any records until you choose a value from a list on the page. Only records that contain the value you choose will be displayed in the page until you choose another value to filter on.
G
Back to top
GIF
A graphics file format (.gif extension in Microsoft Windows) used to display indexed-color graphics on the World Wide Web. It supports up to 256 colors and uses lossless compression, meaning that no image data is lost when the file is compressed.
group
A collection of objects that behave as one for the purpose of moving, resizing, or rotating them. A group can be composed of multiple sets of groups.
group level
The depth at which a group in a report or data access page is nested inside other groups. Groups are nested when a set of records is grouped by more than one field, expression, or group record source.
grouped data access page
A data access page that uses two or more group levels to create a hierarchy that groups records from general categories to specific details.
H
Back to top
HTML
The standard markup language used for documents on the World Wide Web. HTML uses tags to indicate how Web browsers should display page elements such as text and graphics and how to respond to user actions.
HTML extensions
A feature or setting that is an extension to the formal HTML specification. Extensions may not be supported by all Web browsers, but they may be used widely by Web authors. An example of an extension is marquee scrolling text.
J
Back to top
JPEG
A graphics file format (.jpg extension in Windows) supported by many Web browsers that was developed for compressing and storing photographic images.
M
Back to top
Microsoft Access database
A collection of data and objects, such as tables, queries, or forms, related to a particular topic or purpose. The Microsoft Jet database engine manages the data.
Microsoft Office Web Components
Interactive components, such as spreadsheets, charts, and PivotTable lists on Web pages that facilitate data analysis. To use these components, you must have an Office 2003 license.
Microsoft SQL Server database
A database in Microsoft SQL Server that consists of tables, views, indexes, stored procedures, functions, and triggers.
P
Back to top
path
The route the operating system uses to locate a folder or file; for example, c:\House finances\March.doc.
PivotTable list
Similar to a Microsoft Excel PivotTable report, a PivotTable list displays data in a row and column format. A PivotTable list provides interactive capabilities in Microsoft Internet Explorer, enabling you to reorganize the data by moving rows to columns and columns to rows, displaying totals at the intersection of rows and columns, and otherwise rearranging and summarizing the data to analyze it in different ways. A PivotTable list includes its own toolbar and built-in Help.
R
Back to top
record navigation toolbar
A toolbar that contains buttons for adding, deleting, saving, undoing changes to, sorting, filtering, and moving between records, and getting Help. In a grouped data access page, each group may have its own record navigation toolbar that's located at the bottom of the expanded group.
S
Back to top
spreadsheet
A feature on a data access page that is similar to a Microsoft Excel worksheet. Using a spreadsheet, you can enter raw data, add formulas, apply filters, and perform additional spreadsheet operations. A spreadsheet includes its own toolbar and built-in Help.
U
Back to top
Uniform Resource Locator (URL)
An address to an object, document, page, or other destination (for example, a newsgroup or a World Wide Web page) on the Internet or an intranet. A URL expresses the protocol (such as FTP or HTTP) to be accessed and where the destination is located. A URL may also specify an Internet e-mail address. Some examples of URLs are: http://www.someones.homepage/default.html, ftp://ftp.server.somewhere/ftp.file, news:alt.hypertext
Universal Naming Convention (UNC)
A naming convention for files that provides a machine-independent means of locating the file. A UNC name will usually include a reference to a shared folder and file accessible over a network rather than a folder and file that's specified by a drive letter and path. For example, the UNC name for a database named Northwind.mdb on a shared directory named Samples on a computer called MyWorkstation would be \\MyWorkstation\Samples\Northwind.mdb. The UNC is particularly useful in Web-based applications because it allows you to reference data that is not necessarily stored on a particular Web server.


Get Help on using a data access page

This topic explains how to view and work with a data access page in general; however, the designers of the data access page that you are viewing might have provided Help information specific to that page. For example, they might have added instructions directly to the page, or they might have added a custom Help button or a hyperlink to information about the page.

A data access page may also include features that have their own built-in help. For example, the Microsoft Office PivotTable Component, Spreadsheet Component, and Chart Component have their own help, which explains how to work with just that feature of the page.

  • To get help about using Microsoft Internet Explorer, click Contents and Index on the Internet Explorer Help menu.
  • To get help for a PivotTable list, spreadsheet, or chart, click Help Button image on that component's toolbar.
  • To redisplay Microsoft Access Help, close the Help window for the PivotTable list, spreadsheet, or chart, and then click Help Button image on the data access page record navigation toolbar.

Note Other features, such as Windows Media Player, also have their own Help, which is available by right-clicking that feature.


Get Help on Microsoft Office Web Components

  • To get help for the PivotTable Component, Spreadsheet Component, or Chart Component, click Help Button image on the toolbar in the PivotTable list, spreadsheet, or chart.


About Microsoft Office Web Components

Microsoft Office Web Components is a set of ActiveX controls installed with Microsoft Office 2003. With Office Web Components installed on your computer, you can interactively use a spreadsheet, a PivotTable list, and a chart on a Web page in Microsoft Internet Explorer 5.01 with Service Pack 2 (SP2) or later.

If Office Web Components is not installed on your computer but you have an Office 2003 site license that permits intranet distribution, you can configure the components so that users will be prompted to download Office Web Components from your corporate intranet. This allows users at your site to use a data access page without having Office 2003 software installed on their computers.

For information about how to configure Office Web Components, see the Microsoft Office 2003 Resource Kit.


About View-only mode for Office Web Components

If you do not have a Microsoft Office 2003 software license installed on your computer or accessed via a Microsoft Office 2003 application, you can view a Microsoft Office Web Component— a Spreadsheet Component, Chart Component, or PivotTable Component— on a Web page, but you cannot interact with it.

To be able to interact with and use full functionality of the component you are viewing, you must install Microsoft Office 2003 or have access to an Office 2003 license. If you are in a corporate or group environment, check with your network administrator for assistance.

When you are in View-only mode, you can:

  • View data.
  • Print.
  • Select and scroll.
  • Use hyperlinks.
  • Resize a component.
  • Select sheets in the Spreadsheet Component.
  • Expand or collapse members in a PivotTable list.
  • Refresh data in a PivotTable list.
  • Use the About, Help, and Refresh commands. Help topics that deal with interactivity (such as formatting cells, dragging fields, sorting, filtering, and so on) do not apply.

All commands except About, Help, and Refresh are unavailable in View-only mode.


Use shortcut keys on a data access page

To use the following keys, press the TAB key repeatedly until the expand indicator or record navigation toolbar has focus. If a PivotTable list, spreadsheet, or chart currently has focus, press CTRL+TAB.

Press | To
SPACE or ENTER | Expand or collapse a group of records that correspond to the expand indicator in a grouped data access page
LEFT ARROW or RIGHT ARROW | Select a button on the record navigation toolbar
SPACE or ENTER | Activate the selected button on the record navigation toolbar


About hyperlinks

A hyperlink is a pointer from one object to another. The destination is frequently another Web page, but it can also be a picture, an e-mail address, a file (such as a multimedia file or Microsoft Office document), or a program. The hyperlink itself can be displayed as text or as a picture.

You can use hyperlinks to do the following:

  • Navigate to a file or Web page on a network, an intranet, or the Internet

  • Send an e-mail message

  • Start a file transfer, such as a download or an FTP process

When you point to text or a picture that contains a hyperlink, the pointer becomes a hand Pointer in the shape of a hand, indicating that it is something you can click. When a site visitor clicks the hyperlink, the destination is displayed, opened, or run, depending on the type of destination. For example, a hyperlink to a sound file opens the file in a media player, and a hyperlink to a Web page displays the page in a Web browser.

Show Parts of a hyperlink address

A hyperlink address can have up to four parts that are separated by the number sign (#):

Part | Description
displaytext | The text that you see in the field or control. For example, you might want to display a descriptive name for the World Wide Web site or object specified by the address and the subaddress. This is an optional field.
address | An absolute or relative path to a target document. An absolute path is a fully qualified URL or UNC path to a document.
subaddress | The location in the file or page. For example, you might want to point to a particular bookmark in a Word document. This is an optional field.
screentip | The text that appears when you rest the pointer on a hyperlink. This is an optional field.

Note You can type a hyperlink address directly in a hyperlink field on a data access page.

In a field or text box that formats the hyperlink address as a hyperlink, Microsoft Access doesn't display all four parts in the field or control. If you want to see the whole hyperlink address, select the insertion point and press F2.

  • If you enter displaytext, the data access page doesn't show the rest of the address following the display text.
  • If you don't enter displaytext, the page displays just the address.
  • Subaddress is displayed only if there is no display text or address.

Show Hyperlink subaddress syntax

To jump to a location in this type of file | Enter
Microsoft Word | A bookmark name
Microsoft Excel | A defined name or a sheet!range. For example, type sheet1!A2 to jump to cell A2 in sheet 1.
Microsoft PowerPoint | A slide number
HTML document | A bookmark name (defined by using the NAME attribute of the <A> tag)

Show Examples of hyperlink addresses

The following examples display the hyperlink address and what they point to. Note that URLs use forward slashes (/) and UNC paths use backward slashes (\).

Microsoft Corporation#http://www.microsoft.com#

The Microsoft home page on the Web. Displayed as "Microsoft Corporation."

#http://www.microsoft.com#

The Microsoft home page on the Web.

#http://www.microsoft.com#sample#

The Name tag called "sample" in the .htm document for the Microsoft home page. Name is an attribute of some tags in .htm pages.

#\\northwind\public\products.doc##List of discounted products

A Microsoft Word file called Products.doc in the public folder on the Northwind server. The ScreenTip is "List of discounted products."

Resume#c:\windows\personal \resume.doc#

A Word file called Resume.doc located in the C:\Windows\Personal folder. Displayed as "Resume."

#c:\windows\personal\resume.doc#

The same Resume.doc file located in the C:\Windows\Personal folder. The path name will be displayed because no display text is included.

#c:\windows\personal\resume.doc#Qualifications

The bookmark called "Qualifications" in the Resume.doc file.

To make it easier to enter a hyperlink address, Microsoft Access allows you to omit certain parts of an address. For example:

  • If you type http://example.microsoft.com, Access recognizes the "http:" protocol and translates the address to #http://example.microsoft.com#. (You don't have to enter the number signs (#) yourself.)
  • If the text that you enter doesn't include a number sign (#), a protocol (such as "http:"), or a reference to an object in the current database, Access assumes the text entered is display text and appends "http://" to the same text for the address. For example, if you type example.microsoft.com, Access translates the address as example.microsoft.com#http://example.microsoft.com#.


Enter a hyperlink address

Show Paste a hyperlink or hyperlink address

  1. Navigate to a hyperlink or hyperlink address in one of the following ways:
    • Open a document that contains the hyperlink or the hyperlink address.
    • In a Web browser such as Microsoft Internet Explorer, go to the page that contains the hyperlink or hyperlink address.
  2. Do one of the following:
    • In the document, select the hyperlink or the hyperlink address, and then click Copy on the Edit menu.
    • In the Web browser, select the address in the Address box or select a hyperlink address anywhere on a page, right-click the selection, and then click Copy Shortcut on the shortcut menu.
  3. Open a data access page in your Web browser.
  4. Place the insertion point in a text box that accepts hyperlinks on the page.
  5. On the Edit menu, click Paste.

Show Drag an Internet shortcut

  1. Navigate to an Internet shortcut (such as an icon on your desktop).
  2. Right-click the Internet shortcut, and then use the right mouse button to drag the shortcut to a text box that accepts hyperlinks on the data access page.

Show Type a hyperlink address

  1. Place the insertion point in a text box that accepts hyperlink addresses.
  2. Type a valid hyperlink address. A hyperlink address can have up to four parts that are separated by the number sign (#):

    displaytext#address#subaddress#screentip

    The following example includes displaytext, address, and screentip. Note that it also includes the # for subaddress, which has been omitted:

    Microsoft Corporation#http://example.microsoft.com/##Example page for Microsoft Corporation

    Show Tip

    Click Refresh Button image on the Microsoft Internet Explorer toolbar to see the hyperlink address displayed as a formatted hyperlink.


Follow a hyperlink

  • Point to the hyperlink. Click the hyperlink when the pointer changes to a hand Pointer in the shape of a hand.

    By default, a hyperlink that you haven't clicked is blue and underlined, and a hyperlink that you have clicked is purple and underlined.


Find specific data using a filter

By using a filter, you can find records based on whether they contain a specific value in a particular field. For example, you can find all records that have "Germany" in the Country field. When you apply the filter, only the records that contain the value you selected will appear in the data access page. Once you remove the filter, all the records will be displayed again. For grouped data access pages, you can filter the list of groups (the group headings) or the records within groups.

  1. Do one of the following:

    Show In an ungrouped page

    1. Move focus to the field that has the value that you want to use to filter records.
    2. Click Filter By Selection Button image on the record navigation toolbar.

    Show In a grouped page

    1. Expand the group that you want to filter.

    2. Move focus to the field that has the value that you want to use to filter records.

    3. Click Filter By Selection Button image on the record navigation toolbar for that group.

      The filter applies only to the current group. In other words, if a page groups customer orders by country, and you filter the records for Brazil that have a required date of 6/2/98, that filter applies only to the records for Brazil, not to the records for the other countries.

  2. To further narrow the subset of records, continue selecting fields and clicking Filter By Selection Button image until you have just the records you want.

    For example, if you want to see records only for customers in Germany with a required date of 5/12/98, select "Germany" in the Country field, click Filter By Selection, select "5/12/98" in the Required Date field, and then click Filter By Selection again.

Notes

  • If you select only part of the value in a field, the data access page still uses the entire field value for filtering.
  • You can remove the filter and then reapply it during the same working session.
  • If you browse to another data access page, you'll lose the filter.
  • This procedure doesn't apply to a PivotTable list, spreadsheet, or chart. These features can be filtered independently from the rest of the data on the data access page and may also support additional filtering capabilities. For more information, click Help Button image on that component's toolbar.


Remove a filter to show all records

  • Click Filter Toggle Button image on the record navigation toolbar.

Notes

  • Removing a filter doesn't delete it. However, if you close or refresh the page, or move away from the current set of records, you will lose the filters on a page.
  • This procedure doesn't apply to a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component. These features can be filtered independently from the rest of the data on the data access page, and may also support additional filtering capabilities. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.


Sort data on a data access page

You can sort data on a data access page, including data that's grouped. For grouped data access pages, you can sort the list of groups or the records within a group.

  1. Do one of the following:
    • In an ungrouped page, click the field you want to use for sorting records.
    • In a grouped page, expand the group that you want to sort, and then click the field you want to sort records on.

      Note When you sort records within a group, the sort order only applies to that group. It does not affect the order of records in other groups. For example, say a data access page is grouped by region, the region names are listed in ascending order, and under each region employees are listed in ascending order by their last name. If you display employee records for Mexico and then sort employees in descending order by last name, then the employee records for other regions will still be sorted in ascending order, as will the list of regions themselves.

  2. Do one of the following:
    • To sort in ascending order, click Sort Ascending Button image.
    • To sort in descending order, click Sort Descending Button image.

Notes

  • If the records are displayed in tabular format, simply click the label of the field you want to sort records on. The records will display in ascending order. To sort records in descending order, click the label again.
  • If you browse to another data access page and come back to this page, you'll lose the sort order.
  • The order in which numbers, text, and special characters are sorted depends on the database and your regional settings in Microsoft Windows Control Panel.

  • This procedure doesn't apply to a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component. These features can be sorted independently from the rest of the data on the data access page, and may also support additional sorting capabilities. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.


Apply an existing filter to a data access page

You can reapply filters that you created earlier in the current working session. However, if you browse to another data access page after creating the filters, or if you navigate away from the records that are currently displayed, the filters will be lost.

  • On an ungrouped page, click Filter Toggle Button image on the record navigation toolbar.

  • On a grouped page, expand the group that you want to filter, and then click Filter Toggle Button image on the record navigation toolbar for that group.

Note This procedure doesn't apply to a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component. These features can be filtered independently from the rest of the data on the data access page, and may also support additional filtering capabilities. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.


Make a data access page available offline

  1. On the Favorites menu, click Add to Favorites.
  2. In the Add Favorite dialog box, select Make available offline.

    Note If the Make available offline check box is unavailable, you won't be able to take a data access page offline. Contact the designer of the page for assistance.

  3. Click OK.

The page and associated data are saved to your computer.


Switch between offline and online modes of a page

  1. Open a data access page in Microsoft Internet Explorer 5.01 with Service Pack 2 (SP2) or later.
  2. On the File menu, click Work Offline.

    If Work Offline is selected, the page is offline. If it is not selected, the page is online.

Note A page will be offline if your computer is not connected to a network when you open the page.


Synchronize an offline data access page with source data

  1. On the Tools menu, click Synchronize.
  2. In the Items to Synchronize dialog box, select the check box for the data access page you want to synchronize.
  3. Click Synchronize.

The Microsoft Synchronization Manger merges the offline changes with the data in the source database.

Note The rules for merging offline data with the source database are defined either by the designer of the page or the database administrator. Contact them if you encounter errors or conflicts during the synchronization process. You might lose some of your changes during the merge operation, depending on how the rules are defined.


Make an offline data access page online

  1. On the File menu, click Work Offline so that it is no longer selected.
  2. On the Favorites menu, right-click the entry for the data access page, and then click Make available offline so that it is no longer selected.
  3. In the Confirm Offline Item Delete dialog box, click Yes.


Add a record

  1. On the record navigation toolbar, click New Button image.

    Note If you don't see the New button, it means one of the following:

    • The page does not support data entry.
    • The designer of the page has customized the button. Look for custom instructions on how to use the page, or contact the designer.
  2. Type the data you want in the first field, and then press TAB to go to the next field.
  3. When you are finished adding data to each field, save the record.

Note If you make a typing mistake, press BACKSPACE. To cancel your changes in the current field, press ESC. To cancel your changes to the entire record, click Undo Button image on the record navigation toolbar.


Edit data in a record

  1. Click in the field you want to edit.

    Note  You cannot edit calculated fields and fields that are being used to group data. If you can't insert the input cursor inside any of the fields in the page, the page does not support edits.

  2. Type the text you want to insert.
  3. Save the record.

Note    If you make a typing mistake, press BACKSPACE. To cancel your changes in the current field, press ESC. To cancel your changes to the entire record, click Undo Button image on the record navigation toolbar.


Display the most current data

If other users are entering data at the same time as you are, your data access page may not be displaying the most recent changes to the database. To see current data, refresh the page periodically.

  • Click Refresh Button image on the Microsoft Internet Explorer toolbar or press F5.

Caution If you click Refresh before you have saved your changes, Internet Explorer warns you that your changes may be discarded. You must click Cancel to prevent losing your changes to the current record.

Notes

  • If reloading the data takes a long time and you want to cancel the operation, click Stop Button image on the Internet Explorer toolbar or press ESC.
  • Your data access page might have a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component, which have their own methods of selection. To display help for the PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.


Save a record

  • On the record navigation toolbar, click Save Button image.

Note If you don't see the Save button, it means one of the following:

  • The designer of the page has customized the button. Look for custom instructions on the page on how to save your changes.

  • The page is read-only and does not support additions or edits.


Show or hide records for a group

  1. Scroll to the group for which you want to show or hide detail records.
  2. Do one of the following:
    • If the detail records are not visible, click Expand Plus box next to the group heading.
    • If the detail records are visible, click Collapse Minus box next to the group heading.

Note The Expand and Collapse buttons might look different on your page.


Select fields and records

Show Using the mouse

The following table lists mouse techniques for selecting data or records.

To select | Click
Data in a field | Where you want to start selecting and drag across the data
An entire field | Three times within the field
A record | A field that belongs to the record

Show Using the keyboard

The following table lists keyboard techniques for selecting data or records.

To select | Do this
Data in a field | Move the insertion point to the start of the text you want to select, and then hold down SHIFT and press the arrow keys to move to the end of the selection.
An entire field | Move the insertion point to anywhere in the field, press HOME, and then press SHIFT+END.
A record | Press TAB until a field that belongs to the record gets focus.

Note Your data access page might have a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component, which have their own methods of selection. To display Help for one of these components, click Help Button image on its toolbar.


Undo changes when adding or editing records

  • To undo changes to the current record, click Undo Button image on the record navigation toolbar.

Note If you don't see the Undo button, it means one of the following:

  • The designer of the page has customized the button. Look for custom instructions on the page on how to undo your changes.

  • The page is read-only and does not support additions or edits.


Move between records

  • Use the navigation buttons located on the record navigation toolbar to quickly move between records or a group of records on a grouped data access page.

Record navigation buttons

Callout 1 First record

Callout 2 Previous record

Callout 3 Record source and number

Callout 4 Next record

Callout 5 Last record

Note If you don't see the record navigation toolbar on your page, it means one of the following:

  • All the records are displayed on the page, so the navigation buttons are not necessary.
  • The designer of the page has customized the toolbar. Look for custom instructions on how to use the page, or contact the designer.


Add, change, or delete the path to a picture

Note The picture is not stored in the database. Rather, the path to the picture's location is stored in the database, and the picture is stored in a computer's file system.

  1. Click inside the path field.
  2. Do one of the following:

    • To add the path to the picture, type the path of the picture's location.

    • To change the path to the picture, edit the path.

    • To delete the path to the picture, select the contents of the field and press DELETE.

Notes

  • You cannot edit a field on a page unless the page supports edits.
  • The path can be a relative path, a path on your computer, a universal naming convention (UNC) path, or a uniform resource locator (URL). The type of path you should use depends on the requirements of the database.
  • If you want to delete the picture file, you must do so from its location in your computer's file system. See Microsoft Windows Help for more information about deleting files.


Delete a record

Important Once you delete a record, you cannot undo the deletion from the database.

  • On the record navigation toolbar, click Delete Button image.

Note If you don't see the Delete button, it means one of the following:

  • The page does not support deletions.
  • The designer of the page has customized the button. Look for custom instructions on how to use the page, or contact the designer.


Preview a data access page

To preview a data access page, you must have Microsoft Internet Explorer 5.5 or later on your computer.

  • On the File menu, click Print Preview.


Print a data access page

When you print a data access page, the printout contains only what is currently displayed on the screen, including expand indicators and record navigation toolbars.

  1. Scroll to the part of the data access page you want to print.
  2. Expand or collapse any groups you do or do not want to print.
  3. In Microsoft Internet Explorer, on the File menu, click Print.

Note Your data access page may have a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component, which have their own methods of selection. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.


Troubleshoot data access pages

Show Record navigation toolbar

Show Buttons are missing from the record navigation toolbar.

The designer of the data access page either removed the buttons or customized their look. Look for custom instructions on the page or contact the designer.

Show Entering or editing data

Show The fields on the data access page are blank.

Possible reasons include:

  • The data access page that you are displaying might be a data-entry form. You can enter your data in the blank fields.

  • The data access page contains a drop-down list that determines which records to display. Select a value from the list to see a specific group or subset of records.

  • The data access page lost its connection to the underlying database. Refresh the page to reconnect to the underlying database.

  • The database is locked by another user.

Show I'm having problems editing data in a field in a data access page.

There are several kinds of fields that you can't edit on a data access page. The following fields might display values just as regular fields do, but if you try to enter data into them, nothing happens:

  • Fields that automatically enter a number The database automatically assigns a number to this field for each record that you add. This type of field is often used as a record ID number. The database automatically fills in the field's value for you.

  • Fields that automatically calculate This type of field displays values that the database automatically calculates. These fields are usually based on other fields in the database, but are not stored in the database.

  • Read-only or disabled controls A control might be read-only or disabled for data entry.

  • Fields in a locked record If the database that you are accessing is shared by many users, and a record is locked by another user, you can't edit the data in the record until the other user is finished editing the record.

  • Read-only field The underlying data in the database is read-only.

  • Fields in a read-only group Records at a certain group level might be read-only.

  • A read-only PivotTable list A PivotTable list might be intended only to display data, not to edit data.

Note You might be having problems entering dates in a field that stores dates and times. If you are entering dates by using the slash mark (/) format, don't enter a trailing slash mark. For example, 1/3 is valid, but 1/3/ is not valid.

Show I get an error message when I attempt to enter data in a data access page.

When you try to move out of a field after changing data, the database validates the data, making sure that the value you entered is allowed in that field. If the value isn't allowed, the database alerts you. In order to leave the field, you must either change the data to an acceptable value or undo your changes.

A value might not be allowed in a field for the following reasons:

  • The value isn't compatible with the type of data that is allowed in the field. If you enter a value that isn't correct, the database attempts to convert the entry for you. However, some data can't be automatically converted. For example, you can't store a name in a field that accepts only numbers.

  • The data breaks a validation rule for the field. For example, a reorder level field might require a minimum value of 10, and you entered a value of 5.

  • Data is required in the field, and you've left it blank. For example, a unit price field might require a value greater than 0, and you didn't enter anything in the field.

The database also validates data when you move out of a record. Before it saves a record, the database makes sure that your changes don't break any record validation rules. Additionally, the database usually makes sure that the record you are editing doesn't have the same value for a record ID field as another record in the table. If the record can't be saved, you must either make any necessary corrections or undo all changes you made to the record.

Show Viewing data

Show I sent a data access page as an e-mail message but the recipient can't read it.

To view a data access page that was sent as an e-mail message, the mail recipient must read the e-mail message by using one of the following:

  • Microsoft Outlook 2000 or later

  • Microsoft Outlook Express 5.0 or later

  • The combination of Microsoft Outlook 98 or later and Microsoft Internet Explorer 5.01 with Service Pack 2 (SP2) or later

  • The combination of Outlook Express 5.0 or later and Microsoft Internet Explorer 5.01 with Service Pack 2 (SP2) or later

Mail recipients can contact their system administrator for more information about installing or upgrading this software.

Show I see a red X, a blank image, or no image at all on the page.

You might have the wrong browser settings Although all browser versions support the same language (HTML), there are some differences among versions. Some support different versions of HTML and different HTML extensions. Custom options can be set in browsers, such as the default text and background colors, and whether or not graphics are displayed. Consider testing your data access page in different browsers— some of which are available for downloading on the Web— and with different monitor settings, to see if all of your page elements appear.

You might have used the wrong picture format If you link a graphic to a data access page, and the graphic format isn't supported by your version of the browser, your graphics won't be visible. Make sure that the linked picture is in a graphic format that is compatible with your browser. The JPEG and GIF graphic formats are compatible with most browsers.

Show The graphics and text on the data access page look different on another computer.

Check the browser settings. Although all Web browsers support the same language (HTML), there are some differences between browsers. Some support different versions of HTML and different HTML extensions. Custom options can be set in browsers, such as the default text and background colors, and whether or not graphics are displayed. Consider testing your page in different browsers— some of which are available for downloading on the Web— and with different monitor settings, to see whether all of the page elements appear.

Show I am having problems viewing a data access page.

  • You might not have the correct Web browser.

    To view or interact with a data access page, you must have Microsoft Internet Explorer 5.01 with Service Pack 2 (SP2) or later installed on your computer. A page can also contain additional controls, including spreadsheets, PivotTable lists, and charts.

  • Another user might have exclusive access to the Microsoft Access database or Microsoft SQL Server database that the page is connected to.

    This situation can occur when a database administrator is maintaining an Access database or SQL Server database and needs to temporarily prevent users from accessing the database, or when someone is designing objects in a shared Access database. Wait a few minutes and try to view the page again, or contact your database administrator.

  • The page, or a PivotTable list on the page, is connected to an unsupported OLE DB data source. Contact the designer of the page for more information.

Note The data access page might contain a Microsoft Office PivotTable Component, Spreadsheet Component, or Chart Component, which has its own troubleshooting information. To display help for a PivotTable list, spreadsheet, or chart, click Help Button image on its toolbar.